Subject: Re: [PATCH] Device tree bindings for Xilinx devices

From: David Gibson <[email-masked]>
Date: Thu, 11 Oct 2007 14:24:41 +1000

On Wed, Oct 10, 2007 at 10:18:50PM -0600, Grant Likely wrote:
> On 10/10/07, David Gibson <[email-masked]> wrote:
> > On Wed, Oct 10, 2007 at 08:25:36PM -0600, Grant Likely wrote:
> > > On 10/10/07, David Gibson <[email-masked]> wrote:
> > > > We've used 'cell-index' for similar purposes on other 4xx.
> > >
> > > Unfortunately, 'cell' has been used in the sense of a logic cell in an
> > > SoC.  In the case of the SystemACE, it is an external chip.
> > >
> > > What about "device-number"?
> >
> > Ok, I misunderstood.  If it's not on chip, what significance does this
> > serial number have?  Where would a driver need it?
> 
> If there were 2 systemace devices on board; one attached to a CF slot
> labeled "1" and the other to one labeled "2".  :-)  Same problem as
> lining up serial device files to physical port numbers.
> 
> The driver doesn't technically need it, but the information does need
> to flow through to the creation of logically numbered device files.

Ah.  Then, I'm afraid it doesn't belong in the core binding.

Preferably, you should just figure out something without help of this
property - plenty of other things have to figure out device names
without assistance like this.

If you really must you could do this in analogy with the
"linux,network-index" property - but this would be, as that is, an
ugly hack, and should be recognized as such.

Segher's suggestion of using OF-style aliases for this is a fairly
good one, actually.  I just need to get to implementing it...

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson